<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::CompositionTargetPass Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#5e1075c8f2a3c9cfaed6f65a9ea55334">_isSupported</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#612ca8c0c7b29fe33def25042b933622">CompositionTargetPass</a>(CompositionTechnique *parent)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#7eb0dfa68069759225458c041358505e">createPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#b8fc3fb7227c25c749550449061759b9">getInputMode</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#77a7e3bada28e04c2498aff78886d8b8">getLodBias</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#d1ec75974ebb9d6795f876e01822f3e3">getMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#9dc0b04a179dd54ca7d444d4bd1c2010">getNumPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#b966f6bbb58d0d0a09c478fa20ded7c4">getOnlyInitial</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#c68f5ea35754442ca419ba3adc5fcde2">getOutputName</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1a330d0d35f731d94fa885a04f73caf">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#16f32593b58adba4a5c2477a976df869">getPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#81f81638ed902707871edaa54d570e3c">getPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ba75b186f14921fced9e4f80a2e0e186">getShadowsEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae200cd1a0e12a84df5355f08ee06995">getVisibilityMask</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f45329497eecad4dbc7cc768152365585fa9fe6">IM_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294412bc35d7930bd2101ea4d0a5a760611">IM_PREVIOUS</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> enum name</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#459ee451d7916398cca6bc300b0ac7c6">mInputMode</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#4ce2db808cd0fdfffbe1711e2160bfc5">mLodBias</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#bd072b22313d02b789cf35c82e38b811">mMaterialScheme</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#7d4c5bd17e2e323f1d0d1ef267f8fd61">mOnlyInitial</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#6ff0106b3d9aaaccf9f4a76885cdbbf2">mOutputName</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#59453821f88399703dae5e7ced4c47bd">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#2f52450762b8bebd7d1154fd4f840456">mPasses</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#7562d96ff4c451bf72ce604f11623906">mShadowsEnabled</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#191a14c4f7e8b5c55b6af2b6711d0810">mVisibilityMask</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#0e3250aafe830419fcf6ec9c2a925e6e">removeAllPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#211bcd76961f116969bbc4b1a5d7562d">removePass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#bf1c9cf0c11f8f440bfb1103b6c1349a">setInputMode</a>(InputMode mode)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ff86d6761429799b8bb58e44962f2a0f">setLodBias</a>(float bias)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#3f57dcb06d3d764e4fe532be89e6f350">setMaterialScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a4113fff3ebd783e8ead645321cb7322">setOnlyInitial</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#c9a67dacd9d95d9f91fdb9437b07d758">setOutputName</a>(const String &amp;out)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#0a4ee56a29f0aa2ec2131ed9bdda9f4b">setShadowsEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#5f741ec104a602e81d3f9b5f01ae2d4c">setVisibilityMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#9906c9ece49a038ff4996ff461238dd4">~CompositionTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
